# OpenGl_telem_view.h File Reference

`#include <OpenGl_telem.h>`

## Typedefs

typedef * | tel_view_mapping
typedef * | tel_view_rep

## Enumerations

enum | TelProjType { TelParallel, TelPerspective }
enum | TelCoordType { UVN2XYZ, XYZ2UVN }

## Functions

void | TelEvalViewOrientationMatrix (Tfloat *, Tfloat *, Tfloat *, Tfloat *, Tint *, Tmatrix3)
void | TelEvalViewMappingMatrix (tel_view_mapping, Tint *, Tmatrix3)
void | TelEvalViewMappingMatrixPick (tel_view_mapping, Tint *, Tmatrix3, Tfloat, Tfloat)
TStatus | TelSetViewRepresentation (Tint, Tint, tel_view_rep)
TStatus | TelConvertCoord (Tint, Tint, TelCoordType, Tfloat *, Tfloat *)
TStatus | TelSetViewIndex (Tint, Tint)
TStatus | TelSetViewProjection (Tint, Tint)
TStatus | TelGetViewRepresentation (Tint, Tint, tel_view_rep)
TStatus | TelDeleteViewsForWS (Tint wsid)
void | TelClearViews (Tint)
void | TelClearBackground (Tint)
TStatus | TelPrintViewRepresentation (Tint, Tint)
TStatus | Tel2Dto3D (Tint ws, Tint vid, Tint x, Tint y, Tfloat *x1, Tfloat *y1, Tfloat *z1, Tfloat *x2, Tfloat *y2, Tfloat *z2)

## Variables

Tint | TglUpdateView0

## Typedef Documentation

typedef * tel_view_mapping

typedef * tel_view_rep

## Enumeration Type Documentation

enum TelCoordType

Enumeration values:

  UVN2XYZ |
  XYZ2UVN |

enum TelProjType

Enumeration values:

  TelParallel |
  TelPerspective |

## Function Documentation

TStatus Tel2Dto3D | ( | Tint | ws,
|  | Tint | vid,
|  | Tint | x,
|  | Tint | y,
|  | Tfloat * | x1,
|  | Tfloat * | y1,
|  | Tfloat * | z1,
|  | Tfloat * | x2,
|  | Tfloat * | y2,
|  | Tfloat * | z2
| ) |

void TelClearBackground | ( | Tint |  | ) |

void TelClearViews | ( | Tint |  | ) |

TStatus TelConvertCoord | ( | Tint | ,
|  | Tint | ,
|  | TelCoordType | ,
|  | Tfloat * | ,
|  | Tfloat * |
| ) |

TStatus TelDeleteViewsForWS | ( | Tint | wsid | ) |

void TelEvalViewMappingMatrix | ( | tel_view_mapping | ,
|  | Tint * | ,
|  | Tmatrix3 |
| ) |

void TelEvalViewMappingMatrixPick | ( | tel_view_mapping | ,
|  | Tint * | ,
|  | Tmatrix3 | ,
|  | Tfloat | ,
|  | Tfloat |
| ) |

void TelEvalViewOrientationMatrix | ( | Tfloat * | ,
|  | Tfloat * | ,
|  | Tfloat * | ,
|  | Tfloat * | ,
|  | Tint * | ,
|  | Tmatrix3 |
| ) |

TStatus TelGetViewRepresentation | ( | Tint | ,
|  | Tint | ,
|  | tel_view_rep |
| ) |

TStatus TelPrintViewRepresentation | ( | Tint | ,
|  | Tint |
| ) |

TStatus TelSetViewIndex | ( | Tint | ,
|  | Tint |
| ) |

TStatus TelSetViewProjection | ( | Tint | ,
|  | Tint |
| ) |

TStatus TelSetViewRepresentation | ( | Tint | ,
|  | Tint | ,
|  | tel_view_rep |
| ) |

## Variable Documentation

Tint TglUpdateView0